\name{AreaWeights}
\alias{AreaWeights}
\title{
  Area weights of the selected regions.
}
\description{
  This function computes area weights of the selected regions in listsregs. 
}
\usage{
  AreaWeights(listregs=NULL, datagrid='/cfu/autosubmit/con_files/mesh_mask_nemo.N3.2_O1L42.nc', datamask='/cfu/autosubmit/con_files/mask.regions.N3.2_O1L42.nc')
}
\arguments{
  \item{listregs}{
    The list of names of the selected regions/zones/points
  }
  \item{datagrid}{ 
    Specifies what NEMO or EC-Earth grid is being used with full path 
    and file name (containing all grid parameters), while for regular 
    1x1deg grid specify '1deg' (used by, e.g., HadISST sic, ..). 
    For NULL the output will be unit vector with the length of listregs.
  }
  \item{datamask}{
    Full path and file name with masks for all regions/zones/points 
    specified in listregs (1 in region, 0 everywhere else) in datagrid.
  }
}
\value{
  \item{areaweights}{ 
    A vector of areas (10^9m^2) of the selected regions
  }
}
\examples{

}
\author{
  History:
  1.0  #  2014-10  (N.S. Fuckar, neven.fuckar@ic3.cat)  #  Original code
}
\keyword{datagen}
